Subject: [PATCH] mfd: regulator: max8998: BUCK1/2 control augmented by GPIO pins

From: [email-masked] (Mark Brown)
Date: Wed, 22 Sep 2010 11:26:51 +0100

On Wed, Sep 22, 2010 at 08:46:41AM +0200, Lukasz Majewski wrote:
> Mark Brown <[email-masked]> wrote:

> > For the voltage selection values I'm somewhat surprised to see them
> > specified in the platform data - I would instead expect to see them
> > figured out at runtime based on the voltages that are being set.

> I'd like to ask you for clarification on this statement. Correct me if
> I'm wrong, but I think that some default voltage values should be
> declared in platform data (according to the chip manual) to facilitate
> dynamic voltage scaling feature. I suspect that this information is
> platform specific and should be adjusted for each chip separately.

Assume that I've never seen the chip datasheet.  What exactly is this
platform data configuring?  

I would expect to see platform data configuring the default state of the
GPIOs at power up but that doesn't seem to be what's being configured
here.  For anything configured via registers I would expect the driver
to read the state of the chip at startup.